/* VARIABLES */
:root {
	--primary-color: #E21017; /* Colore principale per bottoni, accenti */
	--text-color: #000; /* Colore del testo */
	--background-color: #FFF; /* Colore di sfondo */
	--font-family: 'Montserrat', sans-serif; /* Font principale */
}

/* Importa Montserrat Variable Font */
@font-face {
	font-family: 'Montserrat';
	src: url('../fonts/Montserrat-VariableFont_wght.ttf') format('truetype');
	font-weight: 100 900; /* Specifica l'intervallo di pesi supportati */
	font-style: normal;
}

body {
	font-family: var(--font-family);
}

html, body {
	overflow-x: hidden;
}



/* TYPOGRAPHY */
.h1 {
	font-family: var(--font-family);
	font-size: 69px;
	font-style: normal;
	font-weight: 700;
	line-height: 87px;
	color: var(--text-color);
}

.h2 {
	font-family: var(--font-family);
	font-size: 61px;
	font-style: normal;
	font-weight: 600;
	line-height: 66px;
	color: var(--text-color);
	margin-bottom: 25px;
}

.h3 {
	font-family: var(--font-family);
	font-size: 30px;
	font-style: normal;
	font-weight: 700;
	line-height: 36px;
	color: var(--text-color);
}

.h4 {
	font-family: var(--font-family);
	font-size: 30px;
	font-style: normal;
	font-weight: 600;
	line-height: 35px;
	color: var(--text-color);
}

.h5{
	font-family: Montserrat;
	font-size: 22px;
	font-style: normal;
	font-weight: 600;
	line-height: 30px;
}

/* PARAGRAPHS */
p {
	font-family: var(--font-family);
	font-size: 18px;
	font-style: normal;
	font-weight: 400;
	line-height: 24px;
	color: var(--text-color);
	margin-bottom: 0;
}

p a {
	color: var(--text-color);
	font-family: var(--font-family);
	font-size: 18px;
	font-style: normal;
	font-weight: 400;
	line-height: 24px;
	text-decoration-line: underline;
	text-decoration-style: solid;
	text-decoration-skip-ink: auto;
	text-decoration-thickness: auto;
	text-underline-offset: auto;
	text-underline-position: from-font;
}

p a:hover{
	color: var(--primary-color);
}

.title-hero{
	z-index: 1;
	position: relative;
}

/* BUTTONS */
button{
	background-color: none;
	border: none;
	padding: 0;
	margin: 0;
}

.button {
	display: inline-flex;
	padding: 15px 50px;
	justify-content: center;
	align-items: center;
	gap: 10px;
	background: var(--primary-color);
	color: #FFF; /* Colore testo bottoni */
	text-align: center;
	font-family: var(--font-family);
	font-size: 16px;
	font-style: normal;
	font-weight: 400;
	line-height: 115.9%;
	text-decoration: none;
	border: 1px solid var(--primary-color);
	cursor: pointer;
	transition: all 0.3s ease;
	text-transform: uppercase;
	margin-top: 30px;
}

.button:hover {
	background: darken(var(--primary-color), 10%); /* Effetto hover */
	color: var(--primary-color);
}

.button-white{
	background: var(--background-color);
	color: var(--primary-color);
	border: 1px solid var(--background-color);
}
.button-white:hover {
	background: var(--primary-color);
	color: var(--background-color);
}

.button-black{
	background: var(--text-color);
	color: var(--background-color);
	border: 1px solid var(--text-color);
}
.button-black:hover {
	background: transparent;
	color: var(--text-color);
}

.section{
	padding-top: 100px;
	padding-bottom: 100px;
}
.section-top{
	padding-top: 100px;
}
.section-bottom{
	padding-bottom: 100px;
}
.section-footer{
	padding: 50px 0;
}

.more{
	display: flow;
	font-family: Montserrat;
	font-size: 16px;
	font-style: normal;
	font-weight: 400;
	line-height: 115.9%;
	text-transform: uppercase;
	cursor: pointer;
	margin-top: 30px;
}

/* COLOR */
.white{
	color: var(--background-color);
}
.black{
	color: var(--text-color);
}
.red{
	color: var(--primary-color);
}

.bg-white{
	background-color: var(--background-color);
}
.bg-red{
	background-color: var(--primary-color);
}

/* ADDITIONAL STYLING (Optional) */
.text-shadow{
	text-shadow: 0px 4px 10px #0000008f;
}

header{
	position: absolute;
	width: 100%;
	z-index: 1;
}

header img{
	width: 40%;
}

.hero{
	height: 100vh;
	background-color: var(--text-color);
	background-image: url('images/team-italia-hero-premio-ama.jpg');
	background-repeat: no-repeat;
	background-size: cover;
	position: relative;
}

.mockup-img{
	margin-left: -100px;
	margin-top: -50px;
	margin-bottom: -50px;
}

/*MORE TEXT*/
.more-text {
  display: none;
  transition: max-height 0.3s ease-out;
  overflow: hidden;
}
.more-text.visible {
  display: block;
}

#play-icon:hover {
  transform: translate(-50%, -50%) scale(1.1);
  transition: transform 0.2s ease-in-out;
}

.pre-footer-bg{
	background-image: url('images/premio-ama-alessandro-massimo.png');
	min-height: 600px;
	align-content: flex-end;
	height: 100%;
	margin-right: 50px;
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
}

.bg-pre-footer{
	background: rgba(226, 16, 23, 0.30);
	padding: 20px;
}

.logo-footer{
	margin-bottom: 20px;
}

.footer-link{
	color: var(--background-color);
	text-decoration: none;
}
.footer-link:hover{
	color: var(--background-color);
}

.footer-desc, .footer-desc a{
	color: var(--background-color);
	text-align: right;
	font-family: Montserrat;
	font-style: normal;
	font-weight: 400;
	line-height: 30px;
}

#bg-video{
	background-image: url('images/icon/bg-slider-video.svg');
	background-repeat: no-repeat;
	object-fit: contain;

	max-width: 100%;
	overflow-x: hidden;
	margin: 0 auto;
	box-sizing: border-box;
}


.swiper-container {
  max-width: 100%;
}

.swiper-slide video {
	aspect-ratio: 1 / 1;
	object-fit: cover;
	width: 100%;
	display: block;
}

.swiper-container {
	width: 100%;
	max-width: 1200px;
	margin: 0 auto;
}

.swiper-slide {
	display: flex;
	justify-content: center;
	align-items: center;
	padding: 5px;
}


/*SLIDER*/
.video-popup {
	display: none;
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, 0.8);
	z-index: 1000;
	justify-content: center;
	align-items: center;
}

.video-popup video {
	aspect-ratio: 1 / 1;
	object-fit: cover;
	max-width: 90%;
	max-height: 90%;
}

.video-popup .close-btn {
	position: absolute;
	top: 20px;
	right: 20px;
	font-size: 2rem;
	color: white;
	cursor: pointer;
	background: none;
	border: none;
}


/*ICON*/
.icon-arrow{
	position: absolute;
	top: 25px;
	left: -50px;
	z-index: 1;
}
.img-ispirazione{
	position: absolute;
	top: 30%;
	right: -60px;
}
.star-footer{
	position: absolute;
	top: 25%;
	right: -130px;
}
.swiper-button-next, .swiper-button-prev{
	color: var(--background-color)!important;
}


/*ICON HERO*/
.hero-eyes{
	position: absolute;
	bottom: 0;
	left: -80px;
}
.hero-div{
	position: absolute;
	bottom: 0;
	right: 5%;
}
.hero-top-div{
	position: absolute;
	top: 0;
	right: 0;
}

.illumina-icon{width: 50%;}
.icon-soluzione{width: 75%;}
.storie-icon{width: 75%;}

.hfooter{
	font-family: Montserrat;
	font-size: 24px;
	font-style: normal;
	font-weight: 600;
	line-height: 61px; /* 254.167% */
	text-transform: uppercase;
}

/*VIDEO PRODOTTI*/
.video-container {
	margin-top: 50px;
	position: relative;
	width: 100%;
}

video {
	width: 100%;
	height: auto;
}

.play-icon {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	background: rgba(0, 0, 0, 0.5);
	padding: 20px;
	border-radius: 50%;
	cursor: pointer;
	display: flex;
	justify-content: center;
	align-items: center;
	font-size: 24px;
	color: #fff;
}

.play-icon img{
	width: 40px;
	height: 50px;
	opacity: 0.9;
	margin-left: 8px;
}

.play-icon.hidden {
	display: none;
}

/*CASE HISTORY PRODOTTI*/
.overlay {
	background-color: rgba(255, 0, 0, 0.2);
	transition: background-color 0.5s ease;
}

.position-relative:hover .overlay {
	background-color: transparent;
}

.title-slide {
	transition: opacity 0.5s ease;
	text-transform: uppercase;
}

.position-relative:hover .title-slide {
	opacity: 0;
}

.discover-link:active {
	color: #000;
}

/* Stile del div che appare */
.hidden-content {
	opacity: 0;
	visibility: hidden;
	height: 100%;
	background-color: rgb(255 255 255 / 80%);
	padding: 20px;
	border-radius: 0;
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	transition: opacity 0.5s ease, visibility 0s linear 0.5s;
	display: grid;
	align-content: center;
	justify-content: center;
	text-align: center;
}

.hidden-content.active {
	opacity: 1;
	visibility: visible;
	z-index: 1; /* Portato sopra gli altri elementi */
	transition: opacity 0.5s ease;
	display: grid;
	align-content: center;
	justify-content: center;
	text-align: center;
}

.hidden-content.active p{
	line-height: 40px;
}

/* Nascondi h2 e link quando hidden-content è attivo */
.hidden-content.active ~ .overlay .discover-link {
	display: none !important; /* Usa !important per garantire la priorità */
}

.hidden-content.active ~ .overlay h2 {
	display: none !important;
}

.hidden-content.active ~ .overlay {
	pointer-events: none; /* Disabilita effetto hover */
}

.close-hidden-content {
	text-decoration: underline;
	justify-self: flex-start;
	position: absolute;
	bottom: 27px;
	left: 20px;
}



@media (max-width: 1200px){
	.hero-div{
		bottom: -50px;
		overflow: hidden;
		z-index: 0;
	}
	.hero-eyes{
		opacity: 0.9;
		z-index: 0;
	}
	header img{
		width: 50%;
	}
	h1.h1{
		z-index: 1;
		position: sticky;
	}
	.icon-arrow{
		left: -130px;
	}
}

@media (max-width: 768px){
	.hero-top-div{
		width: 25%;
	}
	.hero-div{
		bottom: 0;
		opacity: 0.8;
	}
	.img-ispirazione{
		top: 350px;
		right: -160px;
		z-index: -1;
	}
	.mockup-img{
		margin-left: -70px;
	}
	.star-footer{
		z-index: -1;
		right: -270px;
		top: 20%;
	}

	.pre-footer-bg{
		margin-right: 0;
		min-height: 700px;
	}

	/*TYPOGRAFY*/
	.h1 {
		font-size: 48px;
		line-height: 60px;
	}

	.h2 {
		font-size: 42px;
		line-height: 50px;
		margin-bottom: 20px;
	}

	.h3 {
		font-size: 26px;
		line-height: 32px;
	}

	.h4 {
		font-size: 24px;
		line-height: 30px;
	}

	.h5 {
		font-size: 18px;
		line-height: 25px;
	}

}

@media (max-width: 576px) {
  .swiper-slide {
	width: 100%;
  }

  .swiper-container {
	padding: 0 10px;
  }
}

@media (max-width: 425px) {
	.hero {
		height: 90vh;
	}
	header img{
		width: 60%
	}
	.hero-eyes{
		top: 30%;
		left: -65px;
		width: 30%;
	}
	.hero-div{
		right: 0;
		width: 70%;
	}
	.icon-arrow{
		top: 8px;
		width: 60%;
		left: -90px;
	}
	.mockup-img{
		margin: 0;
		margin-top: -50px;
		margin-bottom: 25px;
	}
	.pre-footer-bg{
		min-height: 500px;
	}
	.star-footer{
		right: -105px;
		top: 170px;
		width: 50%;
	}
	.img-ispirazione{
		top: 20px;
		right: -20px;
		width: 30%;
	}

	.eyes-mira-prodotto{width: 20%;}
	.illumina-icon{width: 30%;}
	.icon-soluzione{width: 35%;}
	.storie-icon{width: 50%;}

	.logo-footer{
		justify-self: center;
	}

	/*SLIDER VIDEO*/


	/*SPACE*/
	.section{
		padding-top: 50px;
		padding-bottom: 50px;
	}
	.section-top{
		padding-top: 50px;
	}
	.section-bottom{
		padding-bottom: 50px;
	}
	.section-footer{
		padding: 25px 0;
	}

	.h1 {
		font-size: 36px;
		line-height: 48px;
	}

	.h2 {
		font-size: 32px;
		line-height: 40px;
		margin-bottom: 15px;
	}

	.h3 {
		font-size: 22px;
		line-height: 28px;
	}

	.h4 {
		font-size: 20px;
		line-height: 25px;
	}

	.hfooter{
		font-size: 20px;
	}
	#footer p, #footer a{
		font-size: 16px;
		line-height: 20px;
	}
}